C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**** read the mesh from a neutral file :                           ***
C**   -----------------------------------                           ***
C**                                                                 ***
      IVEM(120)=LOUT
      IVEM(121)=CNTMSH*OUTFLG
      IVEM(122)=9
      IVEM(124)=1
      IH(1)=0
      IF (MYPROC.EQ.1) THEN
        NAME='%MESH_FILEIN_'
	INQUIRE(FILE=NAME,EXIST=EX)
	IF (.NOT.EX) THEN
	  IH(1)=1
          PRINT *,'>>VEMCD:01:0000:',NAME
          PRINT *,'>>File not found!'
        ENDIF
      ENDIF
      CALL LL4INM(1,1,1,IH(1),IVEM(2),IH(2),MYPROC,NPROC,
     &                                            IVEM(204),IVEM(202))
      IF (IVEM(2).NE.0) GOTO 9999
      IF (MYPROC.EQ.1) OPEN(9,FILE=NAME,STATUS= 'UNKNOWN',
     &                                              FORM='FORMATTED')
      CALL PATVEM (LIVEM,IVEM,LNEK,NEK,LRPARM,RPARM,LIPARM,IPARM,
     &             LDNOD,DNOD,LRDPRM,RDPARM,LIDPRM,IDPARM,LNODN,
     &             NODNUM,LNOD,NOD,LNOPRM,NOPARM,LBIG,RBIG,IBIG)
      IF (IVEM(2).NE.0) GOTO 9999
      IF (MYPROC.EQ.1) THEN
	CLOSE(9)
	WRITE(1,3000) 1,'patran'
	WRITE(1,*) NAME(:INDEX(NAME,' '))
      ENDIF
